Device Validation Object
Device validation via unique identification must be performed through the Device Validation Event Type endpoint. The data sent must be the information generated in the Device Registration API, along with a Device Scan session ID. In other words, to perform a device validation, the application must use the SDK to generate a unique identifier, and the device must be registered so it can be identified later
Status Dynamics - analysis_status
The analysis_status field indicates the decision status of the fraud engine and follows a very simple state machine:
- automatically_approved
- automatically_reproved
- in_manual_analysis
- manually_approved
- manually_reproved
- pending
Device Validation Object Definition
Request Body
{
"id": "12345678",
"account_id": "12345678",
"person_id": "12345678",
"session_id": "12345678",
"event_date": "2019-12-11T11:37:15.12-03:00"
}
All information exchanges for a validation use the following definition for this object. In some cases, to simplify implementation and reduce data flow between parties, certain information may be omitted.
| Name | Type | Description |
|---|---|---|
| id | string | Event identifier. It is essential that this number is unique for each request (required) |
| account_id | string | Identifier of the account registered in the device registration system. To perform more than one analysis for the same registration, simply use the same account_id across different analyses. (required) |
| person_id | string | Identifier of the user associated with the account registered in the device registration system. To perform more than one analysis for the same registration, simply use the same person_id across different analyses. (required) |
| session_id | string | Identifier of the Device Scan analysis session. (required) |
| face_recognition_key | string | Identifier of the image generated in the SDK for facial identification. |
| event_date | datetime | Event date and time (required) |
Submit a Device Validation
Request Body
{
"id": "12345",
...
}
Response Body
{
"id": "12345",
"analysis_status": "automatically_approved",
"reason": "rule_decision_enum"
}
To perform a Device validation, simply send a Device Validation type object to the following endpoint:
POST https://api.caas.qitech.app/account_event/event_type/device_validation/event